/*
 *
 * Operator
 *
 */
public class Operator 
{
    public final static Operator NEG = new Operator();
    public final static Operator ADD = new Operator();
    public final static Operator SUB = new Operator();
    public final static Operator MUL = new Operator();
    public final static Operator DIV = new Operator();
    public final static Operator MOD = new Operator();
    public final static Operator CMP = new Operator();
    public final static Operator ADDA = new Operator();
    public final static Operator LOAD = new Operator();
    public final static Operator STORE = new Operator();
    public final static Operator MOVE = new Operator();
    public final static Operator END = new Operator();
    public final static Operator BRA = new Operator();
    public final static Operator BNE = new Operator();
    public final static Operator BEQ = new Operator();
    public final static Operator BLE = new Operator();
    public final static Operator BLT = new Operator();
    public final static Operator BGE = new Operator();
    public final static Operator BGT = new Operator();
    public final static Operator READ = new Operator();
    public final static Operator WRITE = new Operator();
    public final static Operator WLN = new Operator();
    public final static Operator NOP = new Operator();
    public final static Operator PHI = new Operator();

    public String toString()
    {
        if( this == NEG )
            return "NEG";
        else if( this == ADD )
            return "ADD";
        else if( this == SUB )
            return "SUB";
        else if( this == MUL )
            return "MUL";
        else if( this == DIV )
            return "DIV";
        else if( this == MOD )
            return "MOD";
        else if( this == CMP )
            return "CMP";
        else if( this == ADDA )
            return "ADDA";
        else if( this == LOAD )
            return "LOAD";
        else if( this == STORE )
            return "STORE";
        else if( this == MOVE )
            return "MOVE";
        else if( this == END )
            return "END";
        else if( this == BRA )
            return "BRA";
        else if( this == BNE )
            return "BNE";
        else if( this == BEQ )
            return "BEQ";
        else if( this == BLE )
            return "BLE";
        else if( this == BLT )
            return "BLT";
        else if( this == BGE )
            return "BGE";
        else if( this == BGT )
            return "BGT";
        else if( this == READ )
            return "READ";
        else if( this == WRITE )
            return "WRITE";
        else if( this == WLN )
            return "WLN";
        else if( this == NOP )
            return "Dummy";
        else if( this == PHI )
            return "Phi";
        else
            return "Unknown Operator";
    }
}

